import { FixedSizeList } from 'react-window';
import type { MenuOption } from '../../Select';
import type { OptionData, SelectedOption } from '../../types';
import type { ReactNode, ReactText, MutableRefObject, FunctionComponent } from 'react';
export declare type MenuListProps = Readonly<{
    height: number;
    itemSize: number;
    loadingMsg: string;
    isLoading?: boolean;
    overscanCount?: number;
    width: string | number;
    direction?: 'ltr' | 'rtl';
    menuOptions: MenuOption[];
    focusedOptionIndex: number;
    noOptionsMsg: string | null;
    itemKeySelector?: ReactText;
    renderOptionLabel: (data: OptionData) => ReactNode;
    fixedSizeListRef: MutableRefObject<FixedSizeList | null>;
    selectOption: (option: SelectedOption, isSelected?: boolean) => void;
}>;
declare const MenuList: FunctionComponent<MenuListProps>;
export default MenuList;
