import type { HTMLAttributes, InputHTMLAttributes } from 'react';
export declare const ARIA_LIVE_CONTEXT_ID = "aria-context";
export declare const ARIA_LIVE_SELECTION_ID = "aria-selection";
export declare const OPTION_CLS = "rfs-option";
export declare const OPTION_FOCUSED_CLS: string;
export declare const OPTION_SELECTED_CLS: string;
export declare const OPTION_DISABLED_CLS: string;
export declare const CARET_ICON_CLS = "rfs-caret-icon";
export declare const CLEAR_ICON_CLS = "rfs-clear-icon";
export declare const LOADING_DOTS_CLS = "rfs-loading-dots";
export declare const AUTOSIZE_INPUT_CLS = "rfs-autosize-input";
export declare const MENU_CONTAINER_CLS = "rfs-menu-container";
export declare const SELECT_CONTAINER_CLS = "rfs-select-container";
export declare const CONTROL_CONTAINER_CLS = "rfs-control-container";
export declare const CLEAR_ICON_TESTID: string | undefined;
export declare const CARET_ICON_TESTID: string | undefined;
export declare const AUTOSIZE_INPUT_TESTID: string | undefined;
export declare const MENU_CONTAINER_TESTID: string | undefined;
export declare const CLEAR_ICON_MV_TESTID: string | undefined;
export declare const SELECT_CONTAINER_TESTID: string | undefined;
export declare const CONTROL_CONTAINER_TESTID: string | undefined;
/**
 * Static attributes for 'SelectWrapper' div element.
 */
export declare const SELECT_WRAPPER_ATTRS: HTMLAttributes<HTMLDivElement> & {
    'data-testid'?: string;
};
/**
 * Static attributes for 'AutosizeInput' input element.
 */
export declare const AUTOSIZE_INPUT_ATTRS: InputHTMLAttributes<HTMLInputElement> & {
    'data-testid'?: string;
};
