/**
 * Menu position in relation to the control.
 * Defaults to 'auto' - meaning, if not enough space below control, then place above.
 */
export declare const MenuPositionEnum: {
    readonly TOP: "top";
    readonly AUTO: "auto";
    readonly BOTTOM: "bottom";
};
export declare type MenuPositionEnum = typeof MenuPositionEnum[keyof typeof MenuPositionEnum];
/**
 * Property filterMatchFrom values. Defaults to 'any'.
 * Determines where to match search input in option during filter process.
 */
export declare const FilterMatchEnum: {
    readonly ANY: "any";
    readonly START: "start";
};
export declare type FilterMatchEnum = typeof FilterMatchEnum[keyof typeof FilterMatchEnum];
/**
 * Arrow key direction for cycling through multi-values.
 */
export declare const ValueIndexEnum: {
    readonly NEXT: 0;
    readonly PREVIOUS: 1;
};
export declare type ValueIndexEnum = typeof ValueIndexEnum[keyof typeof ValueIndexEnum];
/**
 * Arrow key direction OR position for cycling through menu options.
 */
export declare const OptionIndexEnum: {
    readonly UP: 0;
    readonly DOWN: 1;
    readonly LAST: 2;
    readonly FIRST: 3;
};
export declare type OptionIndexEnum = typeof OptionIndexEnum[keyof typeof OptionIndexEnum];
